<div
  class="bg-white mainContainer"
  [ngStyle]="{'font-family': customFont}"
  [style.height]="componentHeight"
>
<div class="notSuitable" *ngIf="showNotSuitable">
  <div class="card text-center mx-auto rounded shadow notSuitableContent">
    <div>
      <img src="../assets/262-emoji-wow-outline.gif" style="width: 30%;" class="mx-auto" alt="">
    </div>
    <span>
      <b>
        Bu üründe size uygun bir beden bulunamadı.
      </b>
    </span>
    <div class="row">
      <button type="button" class="btn btn-success mx-auto mt-3 showNotSuitableBtn"  (click)="resetAll()">Baştan Başla</button>
      <button type="button" class="btn btn-dark mx-auto mt-3 showNotSuitableBtn" tyle="width: 40%;" (click)="closeIframe()">Kapat</button>
    </div>
  
  </div>
</div>
<mat-spinner style="position: absolute; z-index: 9999; width: 20%; margin-left: 40%; top: 10%;" *ngIf="showSpinner"></mat-spinner>
  <img
    src="../assets/kapat.svg"
    class="closeBtn"
    alt="closeButton"
    (click)="closeIframe()"
    *ngIf="!showNotSuitable"
    style="cursor: pointer;"
  />

  <div class="row topbar">
    <div class="col ">
      <div class="topbar">
        <topbar [logo]="customerLogoUrl"></topbar>
      </div>
    </div>
  </div>
  
    <div class="row comment" *ngIf="showPageGuide">
      <div class="col">
        <div style="width: 100%">
          <pageGuide
            [color]="customColor"
            [pageGuideTexts]="pageGuideTexts.headerText"
          ></pageGuide>
        </div>
      </div>
    </div>
    <div
      class="row mainContent "
      *ngIf="!showManChestPage && !showWaistPage && !showHipPage && !showNotExistPage"
    >
      <div class="col-4 col-sm-3 h-100 imageBox" *ngIf="cabinProductId">
        <tip *ngIf="!productUrl" [selectedTip]="tipIndex"></tip>
        <image-box
          [url]="productUrl"
          [turnBack]="turnBack"
          (previousPage)="goToPreviousPage($event)"
          (reset)="resetAll()"
          *ngIf="showInformationPage || showRecommendation"
        ></image-box>
      </div>

      <div class="col-12 col-md-8 rightContent">
      
        <div *ngIf="showInformationPage">
          <information-page
            [color]="customColor"
            [pageGuideTexts]="pageGuideTexts.informationText"
            [data]="resModel"
            [brandId]="brandId"
            [cabinProductId]="cabinProductId"
            [genderIdFromUrl]="genderId"
            [showGenderSelection] = "showGenderSelection"
            [showMetric] = "showMetric"
            [isMobile] = "isMobile"
            [companyUserId] = "companyUserId"
            [isDev] = "isDev"
            (userId)="setUserId($event)"
            (responseModel)="setResponseModel($event)"
            (customerGender)="setCustomerGender($event)"
          ></information-page>
        </div>
        <div *ngIf="showBraSizePage">
          <bra-size-page
            [color]="customColor"
            [pageGuideTexts]="pageGuideTexts.informationText"
            [data]="resModel"
            [gender]="genderId"
            [brandId]="brandId"
            [productId]="cabinProductId"
            [customerId]="customerId"
            (responseModel)="setResponseModel($event)"
          ></bra-size-page>
        </div>
        <div *ngIf="showRecommendation">
          <recommendation-page
            [color]="customColor"
            [pageGuideTexts]="pageGuideTexts.informationText"
            [data]="calculatedResModel"
            [gender]="genderId"
            [brandPreferences]="brandPreferences"
            (notSuitable)="setSuitable($event)"
            (reset)="resetAll()"
          ></recommendation-page>
        </div>
      </div>
    </div>
    <div class="row" *ngIf="showManChestPage || showWaistPage || showHipPage || showNotExistPage">
      <div class="col-12">
        <div *ngIf="showManChestPage">
          <body-image-selection-page
            [data]="resModel"
            [pageGuideTexts]="pageGuideTexts.informationText"
            [color]="customColor"
            [brandId]="brandId"
            [productId]="cabinProductId"
            [customerId]="customerId"
            [bodyPartId]="bodyPartId"
            [companyUserId] = "companyUserId"
            (responseModel)="setResponseModel($event)"
          ></body-image-selection-page>
        </div>
        <div *ngIf="showWaistPage">
          <body-image-selection-page
            [data]="resModel"
            [pageGuideTexts]="pageGuideTexts.informationText"
            [color]="customColor"
            [brandId]="brandId"
            [productId]="cabinProductId"
            [customerId]="customerId"
            [bodyPartId]="bodyPartId"
            [companyUserId] = "companyUserId"
            (responseModel)="setResponseModel($event)"
          ></body-image-selection-page>
        </div>
        <div *ngIf="showHipPage">
          <body-image-selection-page
            [data]="resModel"
            [pageGuideTexts]="pageGuideTexts.informationText"
            [color]="customColor"
            [brandId]="brandId"
            [productId]="cabinProductId"
            [customerId]="customerId"
            [bodyPartId]="bodyPartId"
            [companyUserId] = "companyUserId"
            (responseModel)="setResponseModel($event)"
          ></body-image-selection-page>
        </div>
        <div *ngIf="showNotExistPage">
          <not-exist [color]="customColor"></not-exist>
        </div>
      </div>
    </div>
  
</div>
